Debian Bug report logs - #588178
dpkg-gencontrol: error: package linux-image-2.6.35-rc4-00001-gf3b09f2 not in control info

version graph

Package: kernel-package; Maintainer for kernel-package is Manoj Srivastava <srivasta@debian.org>; Source for kernel-package is src:kernel-package.

Reported by: Tino Keitel <tino.keitel+debbugs@tikei.de>

Date: Mon, 5 Jul 2010 21:00:01 UTC

Severity: important

Tags: patch

Merged with 588126

Found in version kernel-package/12.033

Fixed in version kernel-package/12.034

Done: Manoj Srivastava <srivasta@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#588178; Package kernel-package. (Mon, 05 Jul 2010 21:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tino Keitel <tino.keitel+debbugs@tikei.de>:
New Bug report received and forwarded. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Mon, 05 Jul 2010 21:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tino Keitel <tino.keitel+debbugs@tikei.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg-gencontrol: error: package linux-image-2.6.35-rc4-00001-gf3b09f2 not in control info
Date: Mon, 05 Jul 2010 22:58:20 +0200
Package: kernel-package
Version: 12.033
Severity: normal

kernel 2.6.35-rc4 with a local change does not build here:

dpkg-gencontrol: error: package linux-image-2.6.35-rc4-00001-gf3b09f2 not in
control info
make[2]: *** [debian/stamp/binary/linux-image-2.6.35-rc4-00001-gf3b09f2]
Error 255
make[2]: Leaving directory `/home/scorpion/src/kernel/linux-2.6'
make[1]: *** [debian/stamp/binary/pre-linux-image-2.6.35-rc4-00001-gf3b09f2]
Error 2
make[1]: Leaving directory `/home/scorpion/src/kernel/linux-2.6'
make: *** [linux-image] Error 2

debian/control looks like this:

Source: linux-source-2.6.35-rc4
...

Package: linux-headers-2.6.35-rc4
...

Package: linux-source-2.6.35-rc4
...

Package: linux-image-2.6.35-rc4
...

Package: linux-image-2.6.35-rc4-dbg
...

Package: linux-doc-2.6.35-rc4
...

Package: linux-manual-2.6.35-rc4
...

Package: linux-uml-2.6.35-rc4

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.34-00001-g7adb552 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kernel-package depends on:
ii  binutils                      2.20.1-11  The GNU assembler, linker and bina
ii  build-essential               11.5       Informational list of build-essent
ii  debianutils                   3.3        Miscellaneous utilities specific t
ii  file                          5.04-2     Determines file type using "magic"
ii  gettext                       0.18.1.1-1 GNU Internationalization utilities
ii  make                          3.81-8     An utility for Directing compilati
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo
ii  po-debconf                    1.0.16     tool for managing templates file t
ii  util-linux                    2.17.2-3.1 Miscellaneous system utilities

Versions of packages kernel-package recommends:
ii  cpio                          2.11-4     GNU cpio -- a program to manage ar

Versions of packages kernel-package suggests:
pn  btrfs-tools               <none>         (no description available)
ii  bzip2                     1.0.5-4        high-quality block-sorting file co
pn  docbook-utils             <none>         (no description available)
ii  e2fsprogs                 1.41.12-2      ext2/ext3/ext4 file system utiliti
pn  grub | grub2              <none>         (no description available)
pn  jfsutils                  <none>         (no description available)
ii  libncurses5-dev [libncurs 5.7+20100313-2 developer's libraries and docs for
pn  linux-initramfs-tool      <none>         (no description available)
pn  linux-source | kernel-sou <none>         (no description available)
pn  mcelog                    <none>         (no description available)
pn  oprofile                  <none>         (no description available)
pn  pcmciautils               <none>         (no description available)
ii  ppp                       2.4.4rel-10.1  Point-to-Point Protocol (PPP) - da
ii  procps                    1:3.2.8-9      /proc file system utilities
pn  quota                     <none>         (no description available)
pn  reiserfsprogs             <none>         (no description available)
pn  squashfs-tools            <none>         (no description available)
ii  udev                      158-1          /dev/ and hotplug management daemo
ii  xfsprogs                  3.1.2-1        Utilities for managing the XFS fil
pn  xmlto                     <none>         (no description available)

-- Configuration Files:
/etc/kernel-pkg.conf changed:
maintainer := Tino Keitel
email := tino.keitel+kernel@tikei.de
priority := Low
root_cmd := fakeroot
CONCURRENCY_LEVEL := 3
DEBIAN_REVISION := macmini1


-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#588178; Package kernel-package. (Tue, 06 Jul 2010 09:45:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Ospite <ospite@studenti.unina.it>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Tue, 06 Jul 2010 09:45:13 GMT) Full text and rfc822 format available.

Message #10 received at 588178@bugs.debian.org (full text, mbox):

From: Antonio Ospite <ospite@studenti.unina.it>
To: 588178@bugs.debian.org
Cc: Tino Keitel <tino.keitel+debbugs@tikei.de>
Subject: dpkg-gencontrol: error: package ... not in control info
Date: Tue, 6 Jul 2010 11:35:40 +0200
[Message part 1 (text/plain, inline)]
Hi,

I am getting this too. More precisely:
dpkg-gencontrol -DArchitecture=amd64 -isp \
                -plinux-image-2.6.35-rc4-ao2+ \
                -P/home/ao2/Proj/linux/linux-2.6/debian/linux-image-2.6.35-rc4-ao2+/ \
dpkg-gencontrol: error: package linux-image-2.6.35-rc4-ao2+ not in control info


And in debian/control:
Package: linux-image-2.6.35-rc4-ao2

The problem could be due to this recent kbuild change:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=d5eda75f3a6a08f5a3644764a88d288e62e7823d

I get the added '+' in the package name because I have
CONFIG_LOCALVERSION_AUTO disabled, but make-kpkg does not seem to
recognize this '+' when building debian/control.

Looking at the error Tino is getting (in particular the -gxxxxxxxx part)
I think both these errors could be related to the very
CONFIG_LOCALVERSION_AUTO; Tino you have it enabled instead, don't you?

Regards,
   Antonio

-- 
Antonio Ospite
http://ao2.it

PGP public key ID: 0x4553B001

A: Because it messes up the order in which people normally read text.
   See http://en.wikipedia.org/wiki/Posting_style
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in e-mail?
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#588178; Package kernel-package. (Tue, 06 Jul 2010 10:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tino Keitel <tino.keitel@tikei.de>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Tue, 06 Jul 2010 10:48:08 GMT) Full text and rfc822 format available.

Message #15 received at 588178@bugs.debian.org (full text, mbox):

From: Tino Keitel <tino.keitel@tikei.de>
To: Antonio Ospite <ospite@studenti.unina.it>
Cc: 588178@bugs.debian.org
Subject: Re: dpkg-gencontrol: error: package ... not in control info
Date: Tue, 6 Jul 2010 12:35:14 +0200
On Tue, Jul 06, 2010 at 11:35:40 +0200, Antonio Ospite wrote:
> Hi,
> 
> I am getting this too. More precisely:
> dpkg-gencontrol -DArchitecture=amd64 -isp \
>                 -plinux-image-2.6.35-rc4-ao2+ \
>                 -P/home/ao2/Proj/linux/linux-2.6/debian/linux-image-2.6.35-rc4-ao2+/ \
> dpkg-gencontrol: error: package linux-image-2.6.35-rc4-ao2+ not in control info
> 
> 
> And in debian/control:
> Package: linux-image-2.6.35-rc4-ao2
> 
> The problem could be due to this recent kbuild change:
> http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=d5eda75f3a6a08f5a3644764a88d288e62e7823d
> 
> I get the added '+' in the package name because I have
> CONFIG_LOCALVERSION_AUTO disabled, but make-kpkg does not seem to
> recognize this '+' when building debian/control.
> 
> Looking at the error Tino is getting (in particular the -gxxxxxxxx part)
> I think both these errors could be related to the very
> CONFIG_LOCALVERSION_AUTO; Tino you have it enabled instead, don't you?

Yes, but it also failed when I disabled it. I worked around this by
correcting the versions in debian/control after starting make-kpkg. 
:-)

Regards,
Tino




Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#588178; Package kernel-package. (Wed, 07 Jul 2010 22:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tino Keitel <tino.keitel@tikei.de>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Wed, 07 Jul 2010 22:09:07 GMT) Full text and rfc822 format available.

Message #20 received at 588178@bugs.debian.org (full text, mbox):

From: Tino Keitel <tino.keitel@tikei.de>
To: Antonio Ospite <ospite@studenti.unina.it>
Cc: 588178@bugs.debian.org
Subject: Re: dpkg-gencontrol: error: package ... not in control info
Date: Thu, 8 Jul 2010 00:05:29 +0200
[Message part 1 (text/plain, inline)]
Hi,

for my issue, the attached dirty(?) fix makes make-kpkg linux_image
work again.

Regards,
Tino

[localversion_fix.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#588178; Package kernel-package. (Thu, 15 Jul 2010 02:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Celejar <celejar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Thu, 15 Jul 2010 02:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 588178@bugs.debian.org (full text, mbox):

From: Celejar <celejar@gmail.com>
To: 588178@bugs.debian.org
Subject: make-kpkg failure
Date: Wed, 14 Jul 2010 22:37:31 -0400
FWIW, I'm also getting this error, with vanilla sources (from
kernel.org) using my specific configuration:

dpkg-gencontrol: error: package linux-image-2.6.35-rc5-lizzie not in control info
make[2]: *** [debian/stamp/binary/linux-image-2.6.35-rc5-lizzie] Error 255
make[2]: Leaving directory `/media/software/yitzhak/linux-2.6'
make[1]: *** [debian/stamp/binary/pre-linux-image-2.6.35-rc5-lizzie] Error 2
make[1]: Leaving directory `/media/software/yitzhak/linux-2.6'
make: *** [kernel_image] Error 2

I can provide more detail if requested.

Celejar
-- 
foffl.sourceforge.net - Feeds OFFLine, an offline RSS/Atom aggregator
mailmin.sourceforge.net - remote access via secure (OpenPGP) email
ssuds.sourceforge.net - A Simple Sudoku Solver and Generator





Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#588178; Package kernel-package. (Fri, 16 Jul 2010 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Steigerwald <Martin@lichtvoll.de>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Fri, 16 Jul 2010 11:33:03 GMT) Full text and rfc822 format available.

Message #30 received at 588178@bugs.debian.org (full text, mbox):

From: Martin Steigerwald <Martin@lichtvoll.de>
To: 588178@bugs.debian.org
Subject: dirty(?) fix did not work for me
Date: Fri, 16 Jul 2010 13:30:35 +0200
[Message part 1 (text/plain, inline)]
I am still getting the error with the fix from comment #20, 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=588178#20

shambhala:~> diff -u /usr/share/kernel-
package/ruleset/kernel_version.mk-2010-07-16  /usr/share/kernel-
package/ruleset/kernel_version.mk 
--- /usr/share/kernel-package/ruleset/kernel_version.mk-2010-07-16      
2008-05-02 07:06:28.000000000 +0200
+++ /usr/share/kernel-package/ruleset/kernel_version.mk 2010-07-16 
13:13:19.977196962 +0200
@@ -62,7 +62,7 @@
        @echo "$(strip $(EXTRAVERSION))"
 
 debian_LOCALVERSION:
-       @echo $(if $(strip $(localver-full)),"$(strip $(localver-full))", 
"$(strip $(LOCALVERSION))")
+       @./scripts/setlocalversion
 
 debian_TOPDIR:
 # 2.6 kernels declared TOPDIR obsolete, so use srctree if it exists


install -p    -o root -g root  -m  644 ./debian/templates.master 
/home/martin/Computer/Shambhala/Kernel/2.6.35/tuxonice-head/debian/linux-
image-2.6.35-rc5-tp42-toi-3.1.1.1-04995-g7441ae8/DEBIAN/templates
dpkg-gencontrol -DArchitecture=i386 -isp             \
                        -plinux-image-2.6.35-rc5-tp42-toi-3.1.1.1-04995-
g7441ae8 -P/home/martin/Computer/Shambhala/Kernel/2.6.35/tuxonice-
head/debian/linux-image-2.6.35-rc5-tp42-toi-3.1.1.1-04995-g7441ae8/
dpkg-gencontrol: error: package linux-image-2.6.35-rc5-tp42-
toi-3.1.1.1-04995-g7441ae8 not in control info
make[2]: *** [debian/stamp/binary/linux-image-2.6.35-rc5-tp42-
toi-3.1.1.1-04995-g7441ae8] Error 255
make[2]: Leaving directory 
`/home/martin/Computer/Shambhala/Kernel/2.6.35/tuxonice-head'
make[1]: *** [debian/stamp/binary/pre-linux-image-2.6.35-rc5-tp42-
toi-3.1.1.1-04995-g7441ae8] Error 2
make[1]: Leaving directory 
`/home/martin/Computer/Shambhala/Kernel/2.6.35/tuxonice-head'
make: *** [linux_image] Error 2


But there is a + sign in the control file:

martin@shambhala:~/Computer/Shambhala/Kernel/2.6.35/tuxonice-head> grep 
"2\.6\.35" debian/control | grep image
Package: linux-image-2.6.35-rc5-tp42-toi-3.1.1.1+
Suggests: fdutils, linux-doc-2.6.35-rc5-tp42-toi-3.1.1.1+ | linux-
source-2.6.35-rc5-tp42-toi-3.1.1.1+, ksymoops, linux-image-2.6.35-rc5-
tp42-toi-3.1.1.1+-dbg
Description: Linux kernel binary image for version 2.6.35-rc5-tp42-
toi-3.1.1.1+
Package: linux-image-2.6.35-rc5-tp42-toi-3.1.1.1+-dbg
Depends: linux-image-2.6.35-rc5-tp42-toi-3.1.1.1+
Description: Linux kernel debug image for version 2.6.35-rc5-tp42-
toi-3.1.1.1+ 
Suggests: linux-image-2.6.35-rc5-tp42-toi-3.1.1.1+
Suggests: linux-image-2.6.35-rc5-tp42-toi-3.1.1.1+
Description: Linux uml kernel binary image for version 2.6.35-rc5-tp42-
toi-3.1.1.1+
 This package contains the Linux uml kernel image for version 2.6.35-rc5-
tp42-toi-3.1.1.1+

I will be trying another round with a make-kpkg clean before.
I am using:

shambhala:~> LANG=C apt-cache policy $(cut -d: -f1 <(dpkg -S $(which dpkg-
gencontrol)))
dpkg-dev:
  Installed: 1.15.7.2
  Candidate: 1.15.7.2
  Version table:
 *** 1.15.7.2 0
        450 http://ftp.de.debian.org squeeze/main Packages
        400 http://ftp.de.debian.org sid/main Packages
        100 /var/lib/dpkg/status

Ciao,
-- 
Martin 'Helios' Steigerwald - http://www.Lichtvoll.de
GPG: 03B0 0D6C 0040 0710 4AFA  B82F 991B EAAC A599 84C7
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#588178; Package kernel-package. (Fri, 16 Jul 2010 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Steigerwald <Martin@lichtvoll.de>:
Extra info received and forwarded to list. Copy sent to Manoj Srivastava <srivasta@debian.org>. (Fri, 16 Jul 2010 16:18:03 GMT) Full text and rfc822 format available.

Message #35 received at 588178@bugs.debian.org (full text, mbox):

From: Martin Steigerwald <Martin@lichtvoll.de>
To: 588178@bugs.debian.org
Subject: Fix doesn't work after make-kpkg clean
Date: Fri, 16 Jul 2010 18:14:46 +0200
[Message part 1 (text/plain, inline)]
A make-kpkg clean does not work. The work-around / fix by Tino does not 
seem to work here.

dpkg-gencontrol: error: package linux-image-2.6.35-rc5-tp42-
toi-3.1.1.1-04995-g7441ae8 not in control info

seems to indicate that dpkg-gencontrol does not pickup the + at the end of 
the version number in debian/control.

I do not get why tough:

 92 while (@ARGV) {
 93     $_=shift(@ARGV);
 94     if (m/^-p([-+0-9a-z.]+)$/) {
 95         $oppackage= $1;

AFAIK the above regexpt should match a + sign! Nope, maybe it uses the "-" 
preceeding the "+" as a interval marker.

Testing with: 

 94     if (m/^-p([\-\+0-9a-z.]+)$/) {

Nope that still doesn't work:

dpkg-gencontrol: error: package linux-image-2.6.35-rc5-tp42-
toi-3.1.1.1-04995-g7441ae8 not in control info

With

shambhala:~> diff -u /usr/bin/dpkg-gencontrol-2010-07-16 /usr/bin/dpkg-
gencontrol
--- /usr/bin/dpkg-gencontrol-2010-07-16 2010-05-19 08:05:52.000000000 
+0200
+++ /usr/bin/dpkg-gencontrol    2010-07-16 18:06:54.637972946 +0200
@@ -92,7 +92,7 @@
 while (@ARGV) {
     $_=shift(@ARGV);
     if (m/^-p([-+0-9a-z.]+)$/) {
-        $oppackage= $1;
+        $oppackage= "linux-image-2.6.35-rc5-tp42-toi-3.1.1.1+";
     } elsif (m/^-p(.*)/) {
         error(_g("Illegal package name \`%s'"), $1);
     } elsif (m/^-c/) {

I get a different error message:

install -p    -o root -g root  -m  644 ./debian/templates.master 
/home/martin/Computer/Shambhala/Kernel/2.6.35/tuxonice-head/debian/linux-
image-2.6.35-rc5-tp42-toi-3.1.1.1-04995-g7441ae8/DEBIAN/templates
dpkg-gencontrol -DArchitecture=i386 -isp             \
                        -plinux-image-2.6.35-rc5-tp42-toi-3.1.1.1-04995-
g7441ae8 -P/home/martin/Computer/Shambhala/Kernel/2.6.35/tuxonice-
head/debian/linux-image-2.6.35-rc5-tp42-toi-3.1.1.1-04995-g7441ae8/
dpkg-gencontrol: error: source package has two conflicting values - linux-
source-2.6.35-rc5-tp42-toi-3.1.1.1+ and linux-source-2.6.35-rc5-tp42-
toi-3.1.1.1-04995-g7441ae8
make[2]: *** [debian/stamp/binary/linux-image-2.6.35-rc5-tp42-
toi-3.1.1.1-04995-g7441ae8] Error 255
make[2]: Leaving directory 
`/home/martin/Computer/Shambhala/Kernel/2.6.35/tuxonice-head'
make[1]: *** [debian/stamp/binary/pre-linux-image-2.6.35-rc5-tp42-
toi-3.1.1.1-04995-g7441ae8] Error 2
make[1]: Leaving directory 
`/home/martin/Computer/Shambhala/Kernel/2.6.35/tuxonice-head'
make: *** [linux_image] Error 2

I am installing that kernel manually now.

Ciao,
-- 
Martin 'Helios' Steigerwald - http://www.Lichtvoll.de
GPG: 03B0 0D6C 0040 0710 4AFA  B82F 991B EAAC A599 84C7
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 588126 588178. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Fri, 16 Jul 2010 16:45:05 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Fri, 16 Jul 2010 16:45:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Manoj Srivastava <srivasta@golden-gryphon.com> to control@bugs.debian.org. (Sun, 18 Jul 2010 16:39:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Aug 2010 07:31:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:08:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.